@import url('reset.css');

:root {
    --branco: #FFF;
    --preto: #1d1d1d;
    --vermelho: #FF0000;
    --borda: #FFD700;
    --square: #04B3B3BD;
    --btn-ativo: #4CAF50;
}

.container  {
    display: flex;
    flex-direction: column;
    height: 100vh;
    background-image: url("../images/wall.png");
}

.menu {
    display: flex;
    justify-content: space-evenly;
    align-items: center;

    height: 100px;
    width: 100%;
    background-color: var(--preto);
    color: var(--branco);
    border-bottom: 5px solid var(--borda);
}

.menu-title {
    font-size: 18px;
    color: var(--vermelho);
    margin-bottom: 15px;
}

.menu-lives {
    display: flex;
    align-items: center;
    justify-content: center;
}

.menu-lives img {
    width: 50px;
    margin-right: 10px;
}

section {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 30px 0;
}

.buttons {
    justify-content: space-between;
    width: 400px;
    margin: 0px auto;
}

button {
    font-size: 12px;
    width: 120px;
    height: 35px;
    border-radius: 5px;
    cursor: pointer;
    letter-spacing: 1px;
}

button:hover {
    font-size: 13px;
}

.square {
    height: 150px;
    width: 150px;
    border: 1px solid var(--preto);
    background-color: var(--square);
}

.enemy {
    background-image: url("../images/ralph.png");
    background-size: cover;
    background-position: center;
}

.game-over {
    text-align: center;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.game-over h2 {
    letter-spacing: 4px;
}

.game-over span {
    font-size: 20px;
    color: var(--vermelho);
}

.game-over button {
    width: 150px;
}

.disable {
    pointer-events: none;
    cursor: not-allowed;
}

.ativo {
    background-color: var(--btn-ativo);
    color: var(--branco);
    border: 2px solid var(--preto)
}

@media (max-width: 480px) {
    
    .menu {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;

        height: 200px;
    }

    .menu-time, .menu-score {
        display: flex;
        gap: 30px;
    }

    .menu-lives img {
        width: 40px;
    }

    .menu h2 {
        font-size: 20px;
    }

    .game-over {
        gap: 20px;
    }

    .game-over p {
        line-height: 30px;
        margin-bottom: 20px;
    }

    .game-over button {
        margin: 0;
    }
    
    .square {
        height: 100px;
        width: 100px;
    }

    .buttons {
        width: 100%;
        padding: 0 40px;
    }

    button {
        font-size: 9px;
        width: 90px;
    }

    button:hover {
        font-size: 11px;
    }
}